Skip to main content
GET
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
/
auth_controls
Retrieve authorization controls
curl --request GET \
  --url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/auth_controls \
  --header 'Api-Key: <api-key>'
{
  "customer_id": "<string>",
  "card_account_id": "<string>",
  "spending_limits": [
    {
      "period": "daily",
      "total_amount": "<string>",
      "remaining_amount": "<string>",
      "timezone": "<string>",
      "next_reset_at": "<string>",
      "currency": "usd"
    }
  ]
}

Authorizations

Api-Key
string
header
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
cardAccountID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42

Response

The authorization controls

customer_id
string
required

The ID of the customer

card_account_id
string
required

The ID of the card account

spending_limits
object[]
required

The various spending limits for the card account for the current time period